%global srcname ansible-pygments
%global pypiname ansible_pygments
%global pkgname python-%{srcname}
%global forgeurl https://github.com/ansible-community/%{srcname}

Name:    %{pkgname}
Version: 0.1.0
Release: 1%{?dist}
Summary: Provides Pygments highlighter for Ansible output for use in Sphinx
%forgemeta
URL:       %{forgeurl}
Source:    %{forgesource}
License:   BSD
BuildArch: noarch

BuildRequires: python3-devel

%global _description %{expand:
This project provides a Pygments lexer that is able to handle Ansible output.
It may be used anywhere Pygments is integrated. The lexer is registered
globally under the name ansible-output.

It also provides a Pygments style for tools needing to highlight code snippets.
}

%description %{_description}

%package -n python3-%{srcname}
Summary: %summary

%py_provides python3-%{srcname}

%description -n python3-%{srcname} %{_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%{pyproject_wheel}

%install
%{pyproject_install}

%pyproject_save_files %{pypiname}

%check
%{tox}


%files -n python3-%{srcname} -f %{pyproject_files}
%doc     README.md
%license LICENSE.md


%changelog
* Sun Oct 03 2021 Chedi Toueiti <chedi.toueiti@gmail.com> - 0.1.0-1
- Initial commit version 0.1.0